petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinaryWrite

writes to a binary file, only from the first process

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryWrite(PetscViewer viewer,void *data,PetscInt count,PetscDataType dtype,PetscBool istemp)

Collective on MPI_Comm Many br

### Input Parameters

| viewer | - the binary viewer Many br
| data | - location of data Many br
| count | - number of items of data to write Many br
| dtype | - type of data to write Many br
| istemp | - data may be overwritten Many br

Many br

Notes: because byte-swapping may be done on the values in data it cannot be declared const Many br

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscDataType Many brPetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead() Many br

Level:beginner
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages